Highlighted
FabianW Regular Contributor.
Regular Contributor.
87 views

Report Errors in Identity Reporting 6.5 with IG 3.5

Jump to solution

Hi 

I have started recently using the reporting functionalities. Unfortunately for a lot of permission reports (especially the ones with delta / snapshot functions) I get the same error. Is there some easy solution for this? 

Thanks and kind regards

Fabian:

Almost forgot, these are the errors:

An error was detected while running report 'User_Permissions_Snapshot': net.sf.jasperreports.engine.JRException: Error executing SQL statement for : PermissionInfo. ORA-01489: result of string concatenation is too long

An error was detected while running report 'Permissions_Delta_by_User': Error executing SQL statement for : TemplateReport. ORA-01489: result of string concatenation is too long

An error was detected while running report 'Permission_Assignment_Changes_by_Permission': net.sf.jasperreports.engine.JRException: Error executing SQL statement for : InitialHolder. ORA-01489: result of string concatenation is too long

 

 

0 Likes
1 Solution

Accepted Solutions
Micro Focus Expert
Micro Focus Expert

Re: Report Errors in Identity Reporting 6.5 with IG 3.5

Jump to solution

Greetings,

      Oracle 12c Release / SP2 (meaning 12.2) is required for ID Gov 3.5 and Reporting Core 6.5 and is outlined in the System Requirements.  We are utilizing functionality that was added in 12.2 that is not in 12.1.  So, if you are still using 12.1 then you are not on the right version of Oracle and will experience issues/problems.  Please fix your environment to meet the min requirement of the products.

 

Sincerely,
Steven Williams
Principal Enterprise Architect
Micro Focus

3 Replies
FabianW Regular Contributor.
Regular Contributor.

Re: Report Errors in Identity Reporting 6.5 with IG 3.5

Jump to solution

Could it be related to the new listagg feature in Oracle 12c R2?

We are still on 12c 12.1.0.2.0. Just found out that for some reports listagg with "on overflow truncate" is used. Is there a workaround for this?

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: Report Errors in Identity Reporting 6.5 with IG 3.5

Jump to solution

Greetings,

      Oracle 12c Release / SP2 (meaning 12.2) is required for ID Gov 3.5 and Reporting Core 6.5 and is outlined in the System Requirements.  We are utilizing functionality that was added in 12.2 that is not in 12.1.  So, if you are still using 12.1 then you are not on the right version of Oracle and will experience issues/problems.  Please fix your environment to meet the min requirement of the products.

 

Sincerely,
Steven Williams
Principal Enterprise Architect
Micro Focus

FabianW Regular Contributor.
Regular Contributor.

Re: Report Errors in Identity Reporting 6.5 with IG 3.5

Jump to solution

Thanks, I wonder sometimes if the vendors check anything in addition (like the db they are installing it on) or just sell and forget...

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.